<template>
  <section id="section-map" class="clearfix">
    <iframe
      src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d712.0041236348175!2d26.126308829241836!3d44.453332998693895!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x40b1f8ea3361d4e9%3A0x16a96c654a23262a!2sReal%20Translations!5e0!3m2!1sro!2sus!4v1573065961704!5m2!1sro!2sus"
      width="100%"
      height="450"
      frameborder="0"
      style="border:0;"
      allowfullscreen=""
    ></iframe>

    <div class="container contact">
      <div class="row mar-bot40 text-light text-center">
        <div class="offset-md-2 col-md-8">
          <div class="section-header">
            <h2 class="section-heading animated" data-animation="bounceInUp">
              Contact us
            </h2>
            <p class="text-center">
              You can find us everyday, <strong>Monday to Friday</strong>, from
              <strong>09:00-18:00</strong> at our headquarters, you can give us
              a <strong>call</strong>, or you can just
              <strong>e-mail</strong> us, for any concern or inquiry, using the
              contact form below. We are looking forward to working with you.
            </p>
            <ul class="adresa ">
              <li>
                <i class="fas fa-map-marker-alt"></i> <strong>ADDRESS:</strong>
                <p>
                  Sos. Colentina, nr.7, bl. OD40, sc.1, et 2, ap.11, interfon
                  11C, Sector 2, Bucuresti (vis-a-vis de Kaufland Obor, langa
                  Biserica Sf. Dumitru.<br />Metrou: Obor; Autobuz: 66; Tramvai:
                  21)
                </p>

                <strong>Mobil1: 0743.755.594</strong>
                <div><br /></div>
                <strong>Mobil2: 0723.795.265</strong>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="offset-md-2 col-md-8 ">
          <div class="cform" id="contact-form">
            <div class="col">
              <div class="row inp1">
                <input v-model="name" type="text" placeholder="Name" />
              </div>
            </div>
            <div class="col">
              <div class="row inp2">
                <input v-model="email" type="text" placeholder="Email" />
              </div>
            </div>
            <br>
            <div class="col">
              <div class="row inp3">
                <input v-model="subject" type="text" placeholder="Subject" />
              </div>
            </div>
            
            <div class="col">
              <div class="row inp4">
                <input v-model="message" type="text" placeholder="Messages" />
              </div>
            </div>

            <button
              class="btn bg-light px-4 "
              type="button"
              @click="addInDatabase"
            >Enter</button>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import axios from "axios";

export default {
  name: "Home",
  data() {
    return {
      info: null,
      name: "",
      email: "",
      subject: "",
      message: "",
    };
  },

  methods: {
    addInDatabase: function() {
      axios.post("http://127.0.0.1:8000/api/contacts", {
        name: this.name,
        email: this.email,
        subject: this.subject,
        message: this.message,
      });
    },
  },
};
</script>

<style lang="scss" scoped>
@import "../scss/variables.scss";

.clearfix {
  min-height: 1000px;
  background: url("../assets/ContactPage.jpg");
}

.contact {
  padding-top: 100px;
}
.cform input[type="text"] {
  height: 60px;
  margin-bottom: 30px;
}

.cform input[type="text"],
.inp {
  width: 100%;
  background: $alb;
  font-family: $font;
  border: 0;
  font-size: 14px;
  text-align: left;
  vertical-align: middle;
  padding: 0 10px;
  border-radius: 12em;
}

.btn{
  margin-bottom:60px;
}


</style>
